Skip to content

Encryption

All operations require authentication.

6 operationsv1/dedicatedCloud/{serviceName}
View as Markdown (opens in a new tab)
Agent setup

Get the VM encryption optionProduction

GET
/v1/dedicatedCloud/{serviceName}/vmEncryption

Path parameters

serviceName
required
string

Domain of the service

Response

200VMEncryptionsuccessful operation
state
read-only
StateEnum

State of the option

Valuesdisableddisablingenabledenablingerrormigratingunknown

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/vmEncryption \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "state": "disabled"}

List KMS serversProduction

GET
/v1/dedicatedCloud/{serviceName}/vmEncryption/kms

Path parameters

serviceName
required
string

Domain of the service

Response

200integer[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/vmEncryption/kms \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a KMS serverProduction

GET
/v1/dedicatedCloud/{serviceName}/vmEncryption/kms/{kmsId}

Get a KMS server. Returns the KMS server: IP address, TCP port, SSL thumbprint, description and state.

Path parameters

kmsId
required
integer

Id of the VM Encryption KMS

serviceName
required
string

Domain of the service

Response

200VMEncryptionAccessNetworksuccessful operation
description
read-only
string

Description of your option access network

ip
read-only
ipv4

IP address of the remote service

kmsId
read-only
integer

Id of the VM Encryption KMS

kmsTcpPort
read-only
integer

VM Encryption KMS TCP port

sslThumbprint
read-only
string

SSL thumbprint of the remote service

state
read-only
StateEnum

State of the option

ValuescreatingdeletingdeliverederrortoCreatetoDeletetoUpdateunknownupdating

Example uses kmsId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/vmEncryption/kms/{kmsId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "description": "string", "ip": "192.0.2.0", "kmsId": 0, "kmsTcpPort": 0, "sslThumbprint": "string", "state": "creating"}

Create a KMS serverProduction

POST
/v1/dedicatedCloud/{serviceName}/vmEncryption/kms

Create a KMS server. Registers a KMS server by IP address and SSL thumbprint. Returns a task to track progress.

Path parameters

serviceName
required
string

Domain of the service

Request body (required)

description
string

Description of your option access network

ip
required
ipv4

IP address of the remote service, e.g. 123.100.200.0

sslThumbprint
required
string

SSL thumbprint of the remote service, e.g. A7:61:68:...:61:91:2F

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/vmEncryption/kms \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Update a KMS serverProduction

POST
/v1/dedicatedCloud/{serviceName}/vmEncryption/kms/{kmsId}/changeProperties

Update a KMS server. Updates the SSL thumbprint or the description of the KMS server. Returns a task to track progress.

Path parameters

kmsId
required
integer

Id of the VM Encryption KMS

serviceName
required
string

Domain of the service

Request body (required)

description
string

Description of your option access network

sslThumbprint
required
string

SSL thumbprint of the remote service, e.g. A7:61:68:...:61:91:2F

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses kmsId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/vmEncryption/kms/{kmsId}/changeProperties \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}

Delete a KMS serverProduction

DELETE
/v1/dedicatedCloud/{serviceName}/vmEncryption/kms/{kmsId}

Path parameters

kmsId
required
integer

Id of the VM Encryption KMS

serviceName
required
string

Domain of the service

Response

200Tasksuccessful operation
createdBy
read-only
string

Creator of the task

createdFrom
read-only
string

Origin of the task

datacenterId
read-only
integer

datacenterId of the associated dedicatedCloud.Datacenter object

description
read-only
string

Current progress description

endDate
read-only
stringdate-time

Task end date

executionDate
read-only
stringdate-time

Task execution date

filerId
read-only
integer

filerId of the associated dedicatedCloud.Filer object

hostId
read-only
integer

hostId of the associated dedicatedCloud.Host object

lastModificationDate
read-only
stringdate-time

Task last modification date

maintenanceDateFrom
read-only
stringdate-time

Maintenance task min allowed execution date

maintenanceDateTo
read-only
stringdate-time

Maintenance task max allowed execution date

name
read-only
string

Task name

network
read-only
string

network of the associated dedicatedCloud.Ip object

networkAccessId
read-only
integer

networkAccessId of the associated dedicatedCloud.AllowedNetwork object

orderId
read-only
integer

orderId of the associated billing.Order object

parentTaskId
read-only
integer

taskId of the parent dedicatedCloud.Task object

progress
read-only
integer

Current progress

state
read-only
TaskStateEnum

Current Task state

ValuescanceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodo
taskId
read-only
integer

Task id

type
read-only
string

Task type

userId
read-only
integer

userId of the associated dedicatedCloud.User object

vlanId
read-only
integer

vlanId of the parent dedicatedCloud.Vlan object

Example uses kmsId = 0, serviceName = string

$ curl https://api.eu.ovhcloud.com/v1/dedicatedCloud/{serviceName}/vmEncryption/kms/{kmsId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}